Skip to main content
POST
Create a new OAuth access token for a given OAuth app.
Prefer client apps. This Siro OAuth flow still works during the transition and will be retired.

Authorizations

Authorization
string
header
default:Bearer <access-token>
required

Client app access token from POST https://auth.siro.ai/oauth2/token, or a legacy organization API token (Person icon → API Tokens). Send Authorization: Bearer <token>.

Path Parameters

clientId
string
required

Body

application/json
clientSecret
string
required

The OAuth app client secret returned in the POST /oauth/apps response.

userId
string
required

The user that this token will be bound to

scope
enum<string>
required

One of ("read", "write"). This will restrict what HTTP verbs the token has access to.

Available options:
read,
write

Response

201 - application/json

Create a new OAuth access token for a given OAuth app.

accessTokenId
string
required
accessToken
string
required